## org.eclipse.emf.converter.ui.contribution.base
Class ModelConverterPackagePage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.emf.converter.ui.contribution.base.ModelConverterPage
                  org.eclipse.emf.converter.ui.contribution.base.ModelConverterPackagePage

All Implemented Interfaces:
  IDialogPage, IMessageProvider, IWizardPage, Listener

Direct Known Subclasses:
  ModelExporterPackagePage, ModelImporterPackagePage

    public class ModelConverterPackagePage

extends ModelConverterPage

Since:
  2.2.0

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterPage
`ModelConverterPage.PageDiagnosticHandler`

Field Summary
`protected int` `ePackageDataTableColumn`
`protected CheckboxTableViewer` `ePackagesCheckboxTableViewer`
`protected java.util.List<EPackage>` `filteredEPackages`
`protected boolean` `isCellEditing`
`protected CheckboxTreeViewer` `referencedGenModelsCheckboxTreeViewer`
`protected boolean` `showReferencedGenModels`

Fields inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterPage
`CAUSE_BACK, CAUSE_CANCEL, CAUSE_FINISH, CAUSE_NEXT, CAUSE_UNKNOWN, forwardDirection, handlingEvent, modelConverter, neverVisible, pageDiagnosticHandler`

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`protected` `ModelConverterPackagePage(ModelConverter modelConverter, java.lang.String pageName)`

Method Summary
`protected void` `addEPackagesTableColumns(CheckboxTableViewer ePackagesTableViewer)`
`protected void` `addExternalGenModels(java.util.List<GenModel> genModels)`
`protected void` `addReferencedGenModels(java.util.List<GenModel> genModels)`
`protected void` `addReferencedGenModelsTreeCheckStateManager(Tree tree)`
`protected void` `addReferencedGenModelsTreeColumns(CheckboxTreeViewer referencedGenModelsTreeViewer)`
`protected void` `adjustEPackagesTableViewer(CheckboxTableViewer ePackagesTableViewer)`
`protected void` `adjustReferencedGenModelsTreeViewer(CheckboxTreeViewer referencedGenModelsTreeViewer)`
`void` `createControl(Composite parent)`
`protected ExtendedTableEditor` `createEPackageDataColumnTableEditor()`
`protected void` `createPackageControl(Composite parent)`
`protected void` `createReferencedGenModelControl(Composite parent)`
`void` `dispose()`
`protected void` `ePackageCheckStateChanged()`
`protected void` `filterEPackagesTable(boolean reloadReferencedGenPackagesTable)`
`protected java.lang.String` `getAddButtonLabel()`
`protected java.lang.String` `getBrowseButtonLabel()` Deprecated. in 2.3.0. Use `getAddButtonLabel()` instead. This method will be remove in future versions of the code.
`java.util.List<EPackage>` `getCheckedEPackages()`
`java.util.List<GenPackage>` `getCheckedReferencedGenPackages()`
`protected java.lang.String` `getDeselectAllLabel()`
`protected java.lang.String` `getEPackageColumnLabel()`
`protected java.lang.String` `getEPackageData(EPackage ePackage)`
`protected java.lang.String` `getEPackageDataColumnLabel()`
`protected Image` `getEPackageImage()`
`protected IContentProvider` `getEPackagesTableViewerContentProvider(AdapterFactory adapterFactory)`
`protected ILabelProvider` `getEPackagesTableViewerLabelProvider(AdapterFactory adapterFactory)`
`protected java.lang.String` `getLabel(EPackage ePackage)`
`protected java.lang.String` `getLabel(GenPackage genPackage)`
`protected java.lang.String` `getLabel(java.lang.Object object, java.lang.String defaultText)` Returns the label of a given object.
`protected java.lang.String` `getPackagesLabel()`
`protected java.lang.String` `getReferencedGenModelsLabel()`
`protected IContentProvider` `getReferencedGenModelsTreeViewerContentProvider(AdapterFactory adapterFactory)`
`protected ILabelProvider` `getReferencedGenModelsTreeViewerLabelProvider(AdapterFactory adapterFactory)`
`protected java.util.List<GenPackage>` `getReferencedGenPackagesToCheck(java.util.List<GenPackage> genPackages, boolean reloadReferencedGenPackagesTable)` Returns a not null list with the GenPackages that should be selected in the referenced Tree Viewer.
`protected java.lang.String` `getSelectAllLabel()`
`protected java.lang.String` `getSelectGenModelDialogMessage()`
`boolean` `isPageComplete()`
`protected void` `pageActivated(boolean firstTime, int cause)`
`protected void` `referencedGenModelsAddSelected(CheckboxTreeViewer treeViewer)`
`protected void` `referencedGenModelsBrowseSelected(CheckboxTreeViewer treeViewer)` Deprecated. in 2.3.0. Use `referencedGenModelsAddSelected(CheckboxTreeViewer)` instead. This method will be remove in future versions of the code.
`protected void` `referencedGenModelsCheckboxTreeViewerCheckStateChanged(CheckStateChangedEvent event)` This method is invoked when one element in the referenced GenModels tree is checked or unchecked.
`protected void` `setEPackageData(EPackage ePackage, java.lang.String data)`
`void` `setShowReferencedGenModels(boolean showReferencedGenModels)`
`boolean` `showReferencedGenModels()`
`protected boolean` `supportsNestedPackages()`
`protected void` `validate()`
`protected boolean` `validateEPackageData(EPackage ePackage, java.lang.String data)`

Methods inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterPage
`doHandleEvent, getModelConverter, getNextPage, getPreviousPage, handleDiagnostic, handleDiagnostic, handleEvent, isHandlingEvent, pageDeactivated, setHandlingEvent`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getShell, getWizard, isCurrentPage, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp, setVisible`

Field Detail

### ePackagesCheckboxTableViewer

    protected CheckboxTableViewer ePackagesCheckboxTableViewer

### ePackageDataTableColumn

    protected int ePackageDataTableColumn

### referencedGenModelsCheckboxTreeViewer

    protected CheckboxTreeViewer referencedGenModelsCheckboxTreeViewer

### filteredEPackages

    protected java.util.List<EPackage> filteredEPackages

### showReferencedGenModels

    protected boolean showReferencedGenModels

### isCellEditing

    protected boolean isCellEditing

Constructor Detail

### ModelConverterPackagePage

    protected ModelConverterPackagePage(ModelConverter modelConverter,
                                        java.lang.String pageName)

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `IDialogPage`
  Overrides:
    `dispose` in class `ModelConverterPage`

### setShowReferencedGenModels

    public void setShowReferencedGenModels(boolean showReferencedGenModels)

### showReferencedGenModels

    public boolean showReferencedGenModels()

### pageActivated

    protected void pageActivated(boolean firstTime,
                                 int cause)

  Overrides:
    `pageActivated` in class `ModelConverterPage`

### isPageComplete

    public boolean isPageComplete()

  Specified by:
    `isPageComplete` in interface `IWizardPage`
  Overrides:
    `isPageComplete` in class `ModelConverterPage`

### createControl

    public void createControl(Composite parent)

### createPackageControl

    protected void createPackageControl(Composite parent)

### addEPackagesTableColumns

    protected void addEPackagesTableColumns(CheckboxTableViewer ePackagesTableViewer)

### adjustEPackagesTableViewer

    protected void adjustEPackagesTableViewer(CheckboxTableViewer ePackagesTableViewer)

### createEPackageDataColumnTableEditor

    protected ExtendedTableEditor createEPackageDataColumnTableEditor()

### validateEPackageData

    protected boolean validateEPackageData(EPackage ePackage,
                                           java.lang.String data)

### setEPackageData

    protected void setEPackageData(EPackage ePackage,
                                   java.lang.String data)

### getEPackageData

    protected java.lang.String getEPackageData(EPackage ePackage)

### getEPackagesTableViewerContentProvider

    protected IContentProvider getEPackagesTableViewerContentProvider(AdapterFactory adapterFactory)

### getEPackagesTableViewerLabelProvider

    protected ILabelProvider getEPackagesTableViewerLabelProvider(AdapterFactory adapterFactory)

### getLabel

    protected java.lang.String getLabel(EPackage ePackage)

### ePackageCheckStateChanged

    protected void ePackageCheckStateChanged()

### getCheckedEPackages

    public java.util.List<EPackage> getCheckedEPackages()

### getCheckedReferencedGenPackages

    public java.util.List<GenPackage> getCheckedReferencedGenPackages()

### getEPackageColumnLabel

    protected java.lang.String getEPackageColumnLabel()

### getEPackageDataColumnLabel

    protected java.lang.String getEPackageDataColumnLabel()

### getDeselectAllLabel

    protected java.lang.String getDeselectAllLabel()

### getSelectAllLabel

    protected java.lang.String getSelectAllLabel()

### getPackagesLabel

    protected java.lang.String getPackagesLabel()

### getEPackageImage

    protected Image getEPackageImage()

### createReferencedGenModelControl

    protected void createReferencedGenModelControl(Composite parent)

### addReferencedGenModelsTreeColumns

    protected void addReferencedGenModelsTreeColumns(CheckboxTreeViewer referencedGenModelsTreeViewer)

### supportsNestedPackages

    protected boolean supportsNestedPackages()

### adjustReferencedGenModelsTreeViewer

    protected void adjustReferencedGenModelsTreeViewer(CheckboxTreeViewer referencedGenModelsTreeViewer)

### addReferencedGenModelsTreeCheckStateManager

    protected void addReferencedGenModelsTreeCheckStateManager(Tree tree)

### getReferencedGenModelsTreeViewerContentProvider

    protected IContentProvider getReferencedGenModelsTreeViewerContentProvider(AdapterFactory adapterFactory)

### getReferencedGenModelsTreeViewerLabelProvider

    protected ILabelProvider getReferencedGenModelsTreeViewerLabelProvider(AdapterFactory adapterFactory)

### getLabel

    protected java.lang.String getLabel(java.lang.Object object,
                                        java.lang.String defaultText)

  Returns the label of a given object.

### getLabel

    protected java.lang.String getLabel(GenPackage genPackage)

### referencedGenModelsBrowseSelected

    @Deprecated
    protected void referencedGenModelsBrowseSelected(CheckboxTreeViewer treeViewer)

  Deprecated. in 2.3.0. Use `referencedGenModelsAddSelected(CheckboxTreeViewer)` instead. This method will be remove in future versions of the code.

### referencedGenModelsAddSelected

    protected void referencedGenModelsAddSelected(CheckboxTreeViewer treeViewer)

### referencedGenModelsCheckboxTreeViewerCheckStateChanged

    protected void referencedGenModelsCheckboxTreeViewerCheckStateChanged(CheckStateChangedEvent event)

  This method is invoked when one element in the referenced GenModels tree is checked or unchecked. The event argument can be `null`.

### getAddButtonLabel

    protected java.lang.String getAddButtonLabel()

### getBrowseButtonLabel

    @Deprecated
    protected java.lang.String getBrowseButtonLabel()

  Deprecated. in 2.3.0. Use `getAddButtonLabel()` instead. This method will be remove in future versions of the code.

### getReferencedGenModelsLabel

    protected java.lang.String getReferencedGenModelsLabel()

### getSelectGenModelDialogMessage

    protected java.lang.String getSelectGenModelDialogMessage()

### validate

    protected void validate()

### filterEPackagesTable

    protected void filterEPackagesTable(boolean reloadReferencedGenPackagesTable)

### getReferencedGenPackagesToCheck

    protected java.util.List<GenPackage> getReferencedGenPackagesToCheck(java.util.List<GenPackage> genPackages,
                                                                         boolean reloadReferencedGenPackagesTable)

  Returns a not null list with the GenPackages that should be selected in the referenced Tree Viewer. The list passed in the genPackage is not null and contains all GenPackages that can be marked. This list can be both changed and returned.

### addExternalGenModels

    protected void addExternalGenModels(java.util.List<GenModel> genModels)

### addReferencedGenModels

    protected void addReferencedGenModels(java.util.List<GenModel> genModels)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.